Bug 225499 - Sporadic X crash - kdm related
Sporadic X crash - kdm related
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 17:24 EST by Mike Cohler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 10:33:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file from current system (63.68 KB, text/plain)
2007-02-06 03:42 EST, Mike Cohler
no flags Details
xorg.conf in current unchanged system (568 bytes, text/plain)
2007-02-06 03:43 EST, Mike Cohler
no flags Details
lspci -v (5.73 KB, text/plain)
2007-02-06 04:09 EST, Mike Cohler
no flags Details
demidecode (15.81 KB, text/plain)
2007-02-06 04:11 EST, Mike Cohler
no flags Details

  None (edit)
Description Mike Cohler 2007-01-30 17:24:48 EST
Description of problem:Periodically X crashes for unknown reasons.  Probelm with
kdm in /var/log/messages.


Version-Release number of selected component (if
applicable):xorg-x11-xdm-1.0.5-5.fc6 possibly?


How reproducible:Sproadic


Steps to Reproduce:
1.Login to KDE desktop and leave running - occasionally the screen is locked up.
 Mouse movement does not access the screen. 
2.ssh into the machine is OK and the machine can be re-booted. However switching
to runlevel 3 and then reverting to runlevel 5 does not being back the X session.

  
Actual results:Screen is locked and x has crashed.


Expected results:X should remain running.


Additional info:The /var/log/messages file contains many lines with:
Jan 30 19:15:10 home1 kdm[12121]: Can't lock pid file /var/run/kdm.pid, 
another xdm is running (pid 2827)
Comment 1 Matěj Cepl 2007-02-05 19:08:21 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Mike Cohler 2007-02-06 03:42:17 EST
Created attachment 147449 [details]
Xorg log file from current system

In fact I have not had any recurrence of this problem since reporting the BZ
but I am including the log file for you here.  The Xorg.conf file will follow.
Comment 3 Mike Cohler 2007-02-06 03:43:52 EST
Created attachment 147450 [details]
xorg.conf in current unchanged system
Comment 4 Mike Cohler 2007-02-06 04:07:52 EST
I tried the suggestion about removing /etc/X11/xorg.conf - but when I rebooted
the system had problems booting - the BIOS hung !   When I powered off and back
on then the BIOS did its check and the machine booted but I was unable to login
to X (maybe the keyboard was unset and needs a US keyboard?) also reverting to a
text console, logging in a root and doing telinit 3 followed by telinit 5 still
did not allow me to login to X and no xorg.conf was automatically created.

So I had to restore the original xorg.conf 

I will attach the lspci output and also demidecode to show the BIOS
Comment 5 Mike Cohler 2007-02-06 04:09:07 EST
Created attachment 147451 [details]
lspci -v
Comment 6 Mike Cohler 2007-02-06 04:11:15 EST
Created attachment 147452 [details]
demidecode
Comment 7 Mike Cohler 2007-02-06 04:19:53 EST
Comment on attachment 147452 [details]
demidecode

># dmidecode 2.7
>SMBIOS 2.3 present.
>65 structures occupying 2313 bytes.
>Table at 0x000F0450.
>
>Handle 0xDA00, DMI type 218, 35 bytes.
>OEM-specific Type
>	Header and Data:
>		DA 23 00 DA B2 00 17 0B 0E 38 00 58 00 58 00 01
>		00 59 00 59 00 01 00 05 80 05 80 01 00 FF FF 00
>		00 00 00
>
>Handle 0xDA01, DMI type 218, 35 bytes.
>OEM-specific Type
>	Header and Data:
>		DA 23 01 DA B2 00 17 0B 0E 38 00 10 F5 10 F5 00
>		00 11 F5 11 F5 00 00 12 F5 12 F5 00 00 FF FF 00
>		00 00 00
>
>Handle 0x0000, DMI type 0, 20 bytes.
>BIOS Information
>	Vendor: Dell Inc.                
>	Version: A06
>	Release Date: 09/27/2006
>	Address: 0xF0000
>	Runtime Size: 64 kB
>	ROM Size: 512 kB
>	Characteristics:
>		PCI is supported
>		PNP is supported
>		APM is supported
>		BIOS is upgradeable
>		BIOS shadowing is allowed
>		Boot from CD is supported
>		Selectable boot is supported
>		EDD is supported
>		Japanese floppy for Toshiba 1.2 MB is supported (int 13h)
>		Print screen service is supported (int 5h)
>		8042 keyboard services are supported (int 9h)
>		Serial services are supported (int 14h)
>		Printer services are supported (int 17h)
>		ACPI is supported
>		USB legacy is supported
>		LS-120 boot is supported
>		BIOS boot specification is supported
>		Function key-initiated network boot is supported
>
>Handle 0x0100, DMI type 1, 25 bytes.
>System Information
>	Manufacturer: Dell Inc.                
>	Product Name: Dell DM051                   
>	Version: Not Specified
>	Serial Number: <removed>
>	UUID: <removed>
>	Wake-up Type: Power Switch
>
>Handle 0x0200, DMI type 2, 8 bytes.
>Base Board Information
>	Manufacturer: Dell Inc.          
>	Product Name: 0HJ054
>	Version:    
>	Serial Number: ..<removed>
>
>Handle 0x0300, DMI type 3, 13 bytes.
>Chassis Information
>	Manufacturer: Dell Inc.                
>	Type: Mini Tower
>	Lock: Not Present
>	Version: Not Specified
>	Serial Number: <removed>
>	Asset Tag:           
>	Boot-up State: Safe
>	Power Supply State: Safe
>	Thermal State: Safe
>	Security Status: None
>
>Handle 0x0400, DMI type 4, 32 bytes.
>Processor Information
>	Socket Designation: Microprocessor
>	Type: Central Processor
>	Family: Pentium 4
>	Manufacturer: Intel
>	ID: <removed>
>	Signature: Type 0, Family 15, Model 4, Stepping 7
>	Flags:
>		FPU (Floating-point unit on-chip)
>		VME (Virtual mode extension)
>		DE (Debugging extension)
>		PSE (Page size extension)
>		TSC (Time stamp counter)
>		MSR (Model specific registers)
>		PAE (Physical address extension)
>		MCE (Machine check exception)
>		CX8 (CMPXCHG8 instruction supported)
>		APIC (On-chip APIC hardware supported)
>		SEP (Fast system call)
>		MTRR (Memory type range registers)
>		PGE (Page global enable)
>		MCA (Machine check architecture)
>		CMOV (Conditional move instruction supported)
>		PAT (Page attribute table)
>		PSE-36 (36-bit page size extension)
>		CLFSH (CLFLUSH instruction supported)
>		DS (Debug store)
>		ACPI (ACPI supported)
>		MMX (MMX technology supported)
>		FXSR (Fast floating-point save and restore)
>		SSE (Streaming SIMD extensions)
>		SSE2 (Streaming SIMD extensions 2)
>		SS (Self-snoop)
>		HTT (Hyper-threading technology)
>		TM (Thermal monitor supported)
>		PBE (Pending break enabled)
>	Version: Not Specified
>	Voltage: 0.0 V
>	External Clock: 800 MHz
>	Max Speed: 4000 MHz
>	Current Speed: 2800 MHz
>	Status: Populated, Enabled
>	Upgrade: ZIF Socket
>	L1 Cache Handle: 0x0700
>	L2 Cache Handle: 0x0701
>	L3 Cache Handle: Not Provided
>
>Handle 0x0700, DMI type 7, 19 bytes.
>Cache Information
>	Socket Designation: Not Specified
>	Configuration: Enabled, Not Socketed, Level 1
>	Operational Mode: Write Back
>	Location: Internal
>	Installed Size: 16 KB
>	Maximum Size: 16 KB
>	Supported SRAM Types:
>		Other
>	Installed SRAM Type: Other
>	Speed: Unknown
>	Error Correction Type: None
>	System Type: Data
>	Associativity: 8-way Set-associative
>
>Handle 0x0701, DMI type 7, 19 bytes.
>Cache Information
>	Socket Designation: Not Specified
>	Configuration: Enabled, Not Socketed, Level 2
>	Operational Mode: Varies With Memory Address
>	Location: Internal
>	Installed Size: 2048 KB
>	Maximum Size: 2048 KB
>	Supported SRAM Types:
>		Other
>	Installed SRAM Type: Other
>	Speed: Unknown
>	Error Correction Type: Single-bit ECC
>	System Type: Unified
>	Associativity: 8-way Set-associative
>
>Handle 0x0805, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB1
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x0806, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB2
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x0807, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB3
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x0808, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB4
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x0809, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB5
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x080A, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB6
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x080B, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB7
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x080C, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: USB8
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Access Bus (USB)
>	Port Type: USB
>
>Handle 0x080D, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: ENET
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: RJ-45
>	Port Type: Network Port
>
>Handle 0x080E, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: MIC
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Mini Jack (headphones)
>	Port Type: Audio Port
>
>Handle 0x080F, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: LINE-OUT
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Mini Jack (headphones)
>	Port Type: Audio Port
>
>Handle 0x0810, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: LINE-IN
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Mini Jack (headphones)
>	Port Type: Audio Port
>
>Handle 0x0811, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: HP-OUT
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: Mini Jack (headphones)
>	Port Type: Audio Port
>
>Handle 0x0812, DMI type 8, 9 bytes.
>Port Connector Information
>	Internal Reference Designator: MONITOR
>	Internal Connector Type: None
>	External Reference Designator: Not Specified
>	External Connector Type: DB-15 female
>	Port Type: Video Port
>
>Handle 0x090A, DMI type 9, 13 bytes.
>System Slot Information
>	Designation: PEG
>	Type: x16 PCI Express
>	Current Usage: In Use
>	Length: Long
>	Characteristics:
>		3.3 V is provided
>		PME signal is supported
>
>Handle 0x0901, DMI type 126, 13 bytes.
>Inactive
>
>Handle 0x0902, DMI type 9, 13 bytes.
>System Slot Information
>	Designation: SLOT2  
>	Type: x1 PCI Express
>	Current Usage: Available
>	Length: Long
>	Characteristics:
>		3.3 V is provided
>		PME signal is supported
>
>Handle 0x0903, DMI type 9, 13 bytes.
>System Slot Information
>	Designation: SLOT3  
>	Type: 32-bit PCI
>	Current Usage: Available
>	Length: Long
>	ID: 3
>	Characteristics:
>		5.0 V is provided
>		3.3 V is provided
>		PME signal is supported
>
>Handle 0x0904, DMI type 9, 13 bytes.
>System Slot Information
>	Designation: SLOT4  
>	Type: 32-bit PCI
>	Current Usage: Available
>	Length: Long
>	ID: 4
>	Characteristics:
>		5.0 V is provided
>		3.3 V is provided
>		PME signal is supported
>
>Handle 0x0905, DMI type 126, 13 bytes.
>Inactive
>
>Handle 0x0906, DMI type 126, 13 bytes.
>Inactive
>
>Handle 0x0A00, DMI type 10, 6 bytes.
>On Board Device Information
>	Type: Video
>	Status: Disabled
>	Description: Intel Graphics Media Accelerator 950
>
>Handle 0x0A02, DMI type 10, 6 bytes.
>On Board Device Information
>	Type: Ethernet
>	Status: Enabled
>	Description: Intel PRO/100 VE Network Connections
>
>Handle 0x0A03, DMI type 10, 6 bytes.
>On Board Device Information
>	Type: Sound
>	Status: Enabled
>	Description: High Definition Audio Controller
>
>Handle 0x0B00, DMI type 11, 5 bytes.
>OEM Strings
>	String 1: www.dell.com
>
>Handle 0x0D00, DMI type 13, 22 bytes.
>BIOS Language Information
>	Installable Languages: 1
>		en|US|iso8859-1
>	Currently Installed Language: en|US|iso8859-1
>
>Handle 0x0F00, DMI type 15, 29 bytes.
>System Event Log
>	Area Length: 2049 bytes
>	Header Start Offset: 0x0000
>	Header Length: 16 bytes
>	Data Start Offset: 0x0010
>	Access Method: Memory-mapped physical 32-bit address
>	Access Address: 0xFFF81000
>	Status: Valid, Not Full
>	Change Token: 0x0000000F
>	Header Format: Type 1
>	Supported Log Type Descriptors: 3
>	Descriptor 1: POST error
>	Data Format 1: POST results bitmap
>	Descriptor 2: System limit exceeded
>	Data Format 2: System management
>	Descriptor 3: Log area reset/cleared
>	Data Format 3: None
>
>Handle 0x1000, DMI type 16, 15 bytes.
>Physical Memory Array
>	Location: System Board Or Motherboard
>	Use: System Memory
>	Error Correction Type: None
>	Maximum Capacity: 1 GB
>	Error Information Handle: Not Provided
>	Number Of Devices: 4
>
>Handle 0x1100, DMI type 17, 27 bytes.
>Memory Device
>	Array Handle: 0x1000
>	Error Information Handle: Not Provided
>	Total Width: 64 bits
>	Data Width: 64 bits
>	Size: 512 MB
>	Form Factor: DIMM
>	Set: None
>	Locator: DIMM_1
>	Bank Locator: Not Specified
>	Type: DDR
>	Type Detail: Synchronous
>	Speed: 533 MHz (1.9 ns)
>	Manufacturer: C100000000000000
>	Serial Number: 040F0E15
>	Asset Tag: Not Specified
>	Part Number: 64T64000HU3.7A    
>
>Handle 0x1101, DMI type 17, 27 bytes.
>Memory Device
>	Array Handle: 0x1000
>	Error Information Handle: Not Provided
>	Total Width: 64 bits
>	Data Width: 64 bits
>	Size: No Module Installed
>	Form Factor: DIMM
>	Set: None
>	Locator: DIMM_3
>	Bank Locator: Not Specified
>	Type: DDR
>	Type Detail: Synchronous
>	Speed: 533 MHz (1.9 ns)
>	Manufacturer: FFFFFFFFFFFFFFFF
>	Serial Number: FFFFFFFF
>	Asset Tag: Not Specified
>	Part Number:                   
>
>Handle 0x1102, DMI type 17, 27 bytes.
>Memory Device
>	Array Handle: 0x1000
>	Error Information Handle: Not Provided
>	Total Width: 64 bits
>	Data Width: 64 bits
>	Size: 512 MB
>	Form Factor: DIMM
>	Set: None
>	Locator: DIMM_2
>	Bank Locator: Not Specified
>	Type: DDR
>	Type Detail: Synchronous
>	Speed: 533 MHz (1.9 ns)
>	Manufacturer: C100000000000000
>	Serial Number: 040F0612
>	Asset Tag: Not Specified
>	Part Number: 64T64000HU3.7A    
>
>Handle 0x1103, DMI type 17, 27 bytes.
>Memory Device
>	Array Handle: 0x1000
>	Error Information Handle: Not Provided
>	Total Width: 64 bits
>	Data Width: 64 bits
>	Size: No Module Installed
>	Form Factor: DIMM
>	Set: None
>	Locator: DIMM_4
>	Bank Locator: Not Specified
>	Type: DDR
>	Type Detail: Synchronous
>	Speed: 533 MHz (1.9 ns)
>	Manufacturer: FFFFFFFFFFFFFFFF
>	Serial Number: FFFFFFFF
>	Asset Tag: Not Specified
>	Part Number:                   
>
>Handle 0x1301, DMI type 19, 15 bytes.
>Memory Array Mapped Address
>	Starting Address: 0x00000000000
>	Ending Address: 0x0003FFFFFFF
>	Range Size: 1 GB
>	Physical Array Handle: 0x1000
>	Partition Width: 0
>
>Handle 0x1402, DMI type 20, 19 bytes.
>Memory Device Mapped Address
>	Starting Address: 0x00000000000
>	Ending Address: 0x0001FFFFFFF
>	Range Size: 512 MB
>	Physical Device Handle: 0x1100
>	Memory Array Mapped Address Handle: 0x1301
>	Partition Row Position: 1
>
>Handle 0x1403, DMI type 126, 19 bytes.
>Inactive
>
>Handle 0x1404, DMI type 20, 19 bytes.
>Memory Device Mapped Address
>	Starting Address: 0x00020000000
>	Ending Address: 0x0003FFFFFFF
>	Range Size: 512 MB
>	Physical Device Handle: 0x1102
>	Memory Array Mapped Address Handle: 0x1301
>	Partition Row Position: 1
>
>Handle 0x1405, DMI type 126, 19 bytes.
>Inactive
>
>Handle 0x1800, DMI type 24, 5 bytes.
>Hardware Security
>	Power-On Password Status: Enabled
>	Keyboard Password Status: Not Implemented
>	Administrator Password Status: Enabled
>	Front Panel Reset Status: Not Implemented
>
>Handle 0x1900, DMI type 25, 9 bytes.
>	System Power Controls
>	Next Scheduled Power-on: *-* 00:00:00
>
>Handle 0x1B10, DMI type 27, 12 bytes.
>Cooling Device
>	Type: Fan
>	Status: OK
>	OEM-specific Information: 0x0000DD00
>
>Handle 0x1B11, DMI type 126, 12 bytes.
>Inactive
>
>Handle 0x1B12, DMI type 126, 12 bytes.
>Inactive
>
>Handle 0x2000, DMI type 32, 11 bytes.
>System Boot Information
>	Status: No errors detected
>
>Handle 0x8100, DMI type 129, 8 bytes.
>OEM-specific Type
>	Header and Data:
>		81 08 00 81 01 01 02 01
>	Strings:
>		Intel_ASF
>		Dell_ASF_002
>
>Handle 0x8800, DMI type 136, 6 bytes.
>OEM-specific Type
>	Header and Data:
>		88 06 00 88 5A 5A
>
>Handle 0xD000, DMI type 208, 10 bytes.
>OEM-specific Type
>	Header and Data:
>		D0 0A 00 D0 01 03 FE 00 D2 01
>
>Handle 0xD400, DMI type 212, 212 bytes.
>OEM-specific Type
>	Header and Data:
>		D4 D4 00 D4 70 00 71 00 00 10 2D 2E 42 00 11 FE
>		01 43 00 11 FE 00 07 00 23 8F 00 08 00 23 F3 00
>		09 00 23 F3 04 0A 00 23 F3 08 0B 00 23 8F 10 0C
>		00 23 8F 20 0E 00 23 8F 30 0D 00 23 8C 40 A6 00
>		23 8C 41 A7 00 23 8C 42 05 01 22 FD 02 06 01 22
>		FD 00 4E 01 28 DF 00 4F 01 28 DF 20 8C 00 22 FE
>		00 8D 00 22 FE 01 9B 00 25 3F 40 9C 00 25 3F 00
>		09 01 25 3F 80 A1 00 26 F3 00 A2 00 26 F3 08 A3
>		00 26 F3 04 9F 00 26 FD 02 A0 00 26 FD 00 9D 00
>		11 FB 04 9E 00 11 FB 00 54 01 23 7F 00 55 01 23
>		7F 80 5C 00 78 BF 40 5D 00 78 BF 00 04 80 78 F5
>		0A 01 A0 78 F5 00 93 00 7B 7F 80 94 00 7B 7F 00
>		8A 00 37 DF 20 8B 00 37 DF 00 03 C0 67 00 05 FF
>		FF 00 00 00
>
>Handle 0xD401, DMI type 212, 152 bytes.
>OEM-specific Type
>	Header and Data:
>		D4 98 01 D4 70 00 71 00 03 40 59 6D 2D 00 59 FC
>		02 2E 00 59 FC 00 6E 00 59 FC 01 28 00 59 3F 00
>		29 00 59 3F 40 2A 00 59 3F 80 2B 00 5A 00 00 2C
>		00 5B 00 00 55 00 59 F3 00 6D 00 59 F3 04 1C 00
>		55 FB 04 1D 00 55 FB 00 19 00 55 E7 00 1A 00 55
>		E7 08 1B 00 55 E7 10 23 00 55 7F 00 22 00 55 7F
>		80 EB 00 55 FE 00 EA 00 55 FE 01 01 01 51 3F 00
>		02 01 51 3F 40 03 01 51 3F 80 04 01 51 3F C0 40
>		01 54 EF 00 41 01 54 EF 10 42 01 54 F7 00 43 01
>		54 F7 08 FF FF 00 00 00
>
>Handle 0xD402, DMI type 212, 77 bytes.
>OEM-specific Type
>	Header and Data:
>		D4 4D 02 D4 70 00 71 00 00 10 2D 2E 2D 01 21 FE
>		01 2E 01 21 FE 00 2F 01 21 7F 00 30 01 21 7F 80
>		E2 00 27 7F 00 E3 00 27 7F 80 E4 00 27 BF 00 E5
>		00 27 BF 40 D1 00 22 7F 80 D2 00 22 7F 00 37 01
>		21 F1 00 39 01 21 F1 02 FF FF 00 00 00
>
>Handle 0xD403, DMI type 212, 97 bytes.
>OEM-specific Type
>	Header and Data:
>		D4 61 03 D4 70 00 71 00 03 40 59 6D 17 01 52 FE
>		00 18 01 52 FE 01 19 01 52 FB 00 1A 01 52 FB 04
>		1B 01 52 FD 00 1C 01 52 FD 02 1D 01 52 F7 00 1E
>		01 52 F7 08 09 40 52 EF 00 08 40 52 EF 10 0B 40
>		52 DF 00 0A 40 52 DF 20 0D 40 52 BF 00 0C 40 52
>		BF 40 0F 40 52 7F 00 0E 40 52 7F 80 FF FF 00 00
>		00
>
>Handle 0xD800, DMI type 126, 9 bytes.
>Inactive
>
>Handle 0xDD00, DMI type 221, 19 bytes.
>OEM-specific Type
>	Header and Data:
>		DD 13 00 DD 00 01 00 00 00 10 F5 00 00 00 00 00
>		00 00 00
>
>Handle 0xDD01, DMI type 221, 19 bytes.
>OEM-specific Type
>	Header and Data:
>		DD 13 01 DD 00 01 00 00 00 11 F5 00 00 00 00 00
>		00 00 00
>
>Handle 0xDD02, DMI type 221, 19 bytes.
>OEM-specific Type
>	Header and Data:
>		DD 13 02 DD 00 01 00 00 00 12 F5 00 00 00 00 00
>		00 00 00
>
>Handle 0xDE00, DMI type 222, 13 bytes.
>OEM-specific Type
>	Header and Data:
>		DE 0D 00 DE C1 01 00 00 06 10 22 22 39
>
>Handle 0x7F00, DMI type 127, 4 bytes.
>End Of Table
>
Comment 8 Mike Cohler 2007-02-06 05:16:25 EST
I have just discovered that the BIOS problem was a bug in the BIOS and that Dell
released a BIOS flash update on 16th January 2007 to fix the ROM initialisation
error. Therefore the BIOS problem mentioned above can hopefully be ignored.

I have reflashed the BIOS to the new version and booting is not a problem now.

I hope that this is not related to the subject of this report concerning the
sporadic X crash problem but I will monitor and see if this happens again.

I have a second Dell 5150 system at work which has never had the X crash problem
(though with a different graphics card) -  I will continue to monitor - 

Apologies for the edited file which I did not intend to include as a text
comment as a full file.

I am not sure if it was your intention to ask me to use system-config-display
--reconfigure to regenerate the xorg.conf?  However I did not try that.
Comment 9 Matěj Cepl 2007-02-06 10:33:50 EST
No, I didn't ask you to use system-config-display -- s-c-d is on its way to be
obsolete (in next few versions of Fedora) and we hope that Xorg would be fully
self-configuring.

Let's close this bug as your system seems to be working. If it is not correct,
or if the bug will reveal itself later, please, reopen the bug with additional
information.

Thanks for helping to test Fedora.

Note You need to log in before you can comment on or make changes to this bug.